libpng png_handle_iCCP denial of service

libpng-pnghandleiccp-dos (16895) The risk level is classified as MediumMedium Risk

Description:

libpng is vulnerable to a denial of service attack, caused by a vulnerability when memory is allocated in the png_handle_iCCP function. By creating a specially-crafted PNG image, a remote attacker could cause a NULL pointer dereference and cause the program to crash, once the image is processed by libpng.


Consequences:

Denial of Service

Remedy:

For Red Hat Linux:
Upgrade to the latest libpng package, as listed below. Refer to RHSA-2004:402-08 for more information. See References.

Red Hat Enterprise Linux AS (v. 3), ES (v. 3), WS (v. 3) and Red Hat Desktop 3: 1.2.2-25 or later
Red Hat Enterprise Linux AS (v. 2.1), ES (v. 2.1), WS (v. 2.1) and Red Hat Linux Advanced Workstation 2.1: 1.0.14-7 or later

For OpenPKG:
Upgrade to the latest libpng package, as listed below. Refer to OpenPKG Security Advisory OpenPKG-SA-2004.035-png for more information. See References.

OpenPKG CURRENT: 1.2.5-20040804 or later
OpenPKG 2.0: 1.2.5-2.1.1 or later
OpenPKG 2.1: 1.2.5-2.0.3 or later

For SuSE Linux:
Upgrade to the latest libpng package, as listed below. Refer to SuSE Security Announcement SUSE-SA:2004:023 for more information. See References.

SuSE Linux 9.1: 1.2.5-182.7 or later
SuSE Linux 9.0 and 8.2: 1.2.5-191 or later
SuSE Linux 8.0: 2.1.0.12-169 or later
SuSE Linux 8.1: 2.2.8a-218 or later

For Mandrake Linux:
Upgrade to the latest libpng package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2004:079 : libpng for more information. See References.

Mandrake Linux 9.1: 1.2.5-2.5.91mdk or later
Mandrake Linux 9.2: 1.2.5-7.5.92mdk or later
Mandrake Linux Multi Network Firewall 8.2: 1.2.4-3.7.M82mdk or later
Mandrake Linux Corporate Server 2.1:1.2.4-3.7.C21mdk or later
Mandrake Linux 10.0: 1.2.5-10.5.100mdk or later

Upgrade to the latest mozilla package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2004:082 : mozilla for more information. See References.

Mandrake Linux 9.2:1.4-13.3.92mdk or later
Mandrake Linux 10.0: 1.6-12.1.100mdk or later

For Debian GNU/Linux 3.0 (alias woody):
Upgrade to the latest libpng package (1.0.12-3 or later), as listed in DSA-536-1. See References.

For Gentoo Linux:
Upgrade to the latest version of libpng, as listed in GLSA 200408-03. See References.

For Trustix Secure Linux:
Upgrade to the latest libpng package, as listed below. Refer to Trustix Secure Linux Security Advisory #2004-0040 for more information. See References.

Trustix Secure Linux 2.0: 1.2.5-7tr or later
Trustix Secure Linux 2.1 and Enterprise Linux 2: 1.2.5-12tr or later

For Conectiva Linux:
Upgrade to the latest libpng package, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2004:856 for more information. See References.

Conectiva Linux 10.0: 1.0.15-42714U10_1cl or later
Conectiva Linux 8: 1.0.14-1U80_1cl or later
Conectiva Linux 9: 1.0.15-22380U90_1cl or later

For HP Tru64 UNIX 5.1A and 5.1B:
Apply the appropriate Patches for your system, as listed in Hewlett-Packard Company Security Bulletin: HPSBTU01063. See References.

For Slackware Linux:
Upgrade to the latest libpng package, as listed below. Refer to slackware-security Mailing List, Mon, 9 Aug 2004 20:40:50 -0700 (PDT) and Tue, 10 Aug 2004 12:54:52 -0700 (PDT) for more information. See References.

Slackware Linux 8.1: 1.2.5-i386-1 or later
Slackware Linux 9.0 and 9.1:1.2.5-i486-3 or later
Slackware Linux 10.0 and -current: 1.2.5-i486-3 or later

Upgrade to the latest imagemagick package, as listed below. Refer to slackware-security Mailing List, Tue, 10 Aug 2004 14:26:39 -0700 (PDT) for more information. See References.

Slackware Linux 9.0 : 5.5.7_25-i486-1or later
Slackware Linux 10.0 and -current: 6.0.4_3-i486-1 or later

Upgrade to the latest mozilla package, as listed below. Refer to slackware-security Mailing List, Tue, 10 Aug 2004 14:17:12 -0700 (PDT) for more information. See References.

Slackware Linux 9.1: 1.4.3-i486-1 or later
Slackware Linux 10.0 and -current: 1.7.2-i486-1 or later

For Turbolinux:
Upgrade to the latest libpng package, as listed below. Refer to Turbolinux Security Advisory TLSA-2004-19 for more information. See References.

Turbolinux Appliance Server 1.0 Hosting Edition: 1.2.4-6 or later
Turbolinux Appliance Server 1.0 Workgroup Edition: 1.2.4-6 or later
Turbolinux 10 Desktop and Turbolinux 10 F: 1.2.5-7 or later
Tturbolinux 8 Server and 8 Workstation: 1.2.4-6 or later
Turbolinux 7 Server and 7 Workstation: 1.0.12-8 or later
Turbolinux Server 6.5 and Advanced Server 6: 1.0.12-8 or later
Turbolinux Server 6.1and Workstation 6.0: 1.0.12-8 or later

For Gentoo Linux:
Upgrade to the latest version of mozilla, as listed in GLSA 200408-22. See References.

For SCO UnixWare 7.1.4:
Upgrade to the appropriate fixed binaries, as listed in SCO Security Advisory SCOSA-2004.16. See References.

For Conectiva Linux:
Upgrade to the latest mozilla package, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2004:877 for more information. See References.

Conectiva Linux 10.0: 1.7.3-60868U10_1cl or later
Conectiva Linux 9: 1.7.3-27852U90_4cl or later

For Mandriva Linux:
Refer to Mandriva Linux Security Advisory MDKSA-2006:213 for patch, upgrade, or suggested workaround information. See References.

For Mandriva Linux:
Refer to Mandriva Linux Security Advisory MDKSA-2006:212 for patch, upgrade, or suggested workaround information. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Compaq Tru64 5.1a
  • Compaq Tru64 5.1b
  • Conectiva Linux 10
  • Conectiva Linux 8.0
  • Conectiva Linux 9.0
  • Debian Debian Linux 3.0
  • Gentoo Linux
  • libpng libpng
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 2006
  • MandrakeSoft Mandrake Linux 2006 X86_64
  • MandrakeSoft Mandrake Linux 2007
  • MandrakeSoft Mandrake Linux 2007 X86_64
  • MandrakeSoft Mandrake Linux 9.1
  • MandrakeSoft Mandrake Linux 9.1 PPC
  • MandrakeSoft Mandrake Linux 9.2 AMD64
  • MandrakeSoft Mandrake Linux 9.2
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • MandrakeSoft Mandrake Linux Corporate Server 4.0
  • MandrakeSoft Mandrake Linux Corporate Server 4.0 X86_64
  • MandrakeSoft Mandrake Multi Network Firewall 8.2
  • Netscape Navigator 7.0
  • Novell SuSE Linux Enterprise Server 7.0
  • OpenPKG OpenPKG 2.0
  • OpenPKG OpenPKG 2.1
  • OpenPKG OpenPKG CURRENT
  • RedHat Enterprise Linux 2.1 AW
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 3 ES
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SCO SCO UnixWare 7.1.4
  • Slackware Slackware Linux 10.0
  • Slackware Slackware Linux 8.1
  • Slackware Slackware Linux 9.0
  • Slackware Slackware Linux 9.1
  • Slackware Slackware Linux current
  • Sun Solaris 7.0
  • Sun Solaris 8
  • Sun Solaris 9
  • SuSE Linux Enterprise Server 8
  • SuSE Linux Enterprise Server 9
  • SuSE SuSE eMail Server 3.1
  • SuSE SuSE eMail Server III
  • SUSE SuSE Linux 8.0
  • SUSE SuSE Linux 8.1
  • SUSE SuSE Linux 8.2
  • SUSE SuSE Linux 9.0
  • SUSE SuSE Linux 9.1
  • SuSE SuSE Linux Connectivity Server
  • SuSE SuSE Linux Database Server
  • SuSE SuSE Linux Desktop 1.0
  • SuSE SuSE Linux Firewall
  • SuSE SuSE Linux Office Server
  • SuSE SuSE SLES 9
  • Trustix Secure Enterprise Linux 2.0
  • Trustix Secure Linux 2.0
  • Trustix Secure Linux 2.1
  • Turbolinux Turbolinux 10 Desktop
  • Turbolinux Turbolinux 10 F...
  • Turbolinux Turbolinux 7 Server
  • Turbolinux Turbolinux 7 Workstation
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux 8 Workstation
  • Turbolinux Turbolinux Appliance Server 1.0
  • Turbolinux Turbolinux Advanced Server 6
  • Turbolinux Turbolinux Appliance Server 1.0 Hosting Ed
  • Turbolinux Turbolinux Appliance Server 1.0 Workgroup Ed
  • Turbolinux Turbolinux Server 6.1
  • Turbolinux Turbolinux Server 6.5
  • Turbolinux Turbolinux Workstation 6.0

Reported:

Aug 04, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page